using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Ladybug_TestHarness
{
    public partial class frmCode : Form
    {

        private RgrTest_Tabbed _mainForm;
        public RgrTest_Tabbed MainForm
        {
            get { return _mainForm; }
            set { _mainForm = value; }
        }
	
        public void AppendText(string newText)
        {
            txtCode.AppendText(Microsoft.VisualBasic.Constants.vbCrLf + newText);
            txtCode.SelectionStart = txtCode.TextLength;
            txtCode.ScrollToCaret();
        }

        public frmCode()
        {
            InitializeComponent();
        }

        private void btnClear_Click(object sender, EventArgs e)
        {
            txtCode.Clear();
        }

        private void chkWordWrap_CheckedChanged(object sender, EventArgs e)
        {
            txtCode.WordWrap = chkWordWrap.Checked;
        }

        private void frmCode_FormClosing(object sender, FormClosingEventArgs e)
        {
            RgrTest_Tabbed frmParent = (RgrTest_Tabbed)this.Parent;
            e.Cancel = true;
            _mainForm.DisableAddText();
            this.Hide();
        }
    }
}